<?php
/*******************************************************************************

    Program: Telix.

*******************************************************************************/


// Change current working directory to Cacti root directory.  This is
// required to allow existing Cacti PHP files like auth.php etc. to be used
// in plugin code, as include statements in existing Cacti PHP files assumes
// that current working directory is the Cacti root directory (i.e. relative
// paths (relative to Cacti root directory) are used in include statements).  
// This also enables reuse of existing Cacti code with minimal changes.
chdir('../../');


// Note that auth.php is not included instead.  There is no need to verify
// if the user can access this page as this page contains non-critical 
// data.  However, each page redirected to by this page should include
// auth.php to verify if the user can access a particular page.
include_once("./include/config.php");


/* set default action */
if (!isset($_REQUEST["action"])) { $_REQUEST["action"] = ""; }

switch ($_REQUEST["action"]) {

	default:
		include_once("./include/top_header.php");

		display_main_telix_page();

		include_once("./include/top_header.php");

		break;
}



/*
 * Purpose: 
 * Displays the main Telix page.  
 * It's a simple page with allows the user to select a task to perform.
 * There are currently two tasks, namely Router Interface Management and
 * Router Configuration Files Management.
 */
function display_main_telix_page() {

	global $config, $colors;


	html_start_box("<strong>Tasks</strong>", "98%", $colors["header"], "3", "center", "");

	include($config["base_path"] . "/plugins/telix/telix_select_task_form.php");  

	html_end_box();

}



?>